%define major 		0
%define api 1.0
%define libname		%mklibname unique %api %major
%define girname		%mklibname unique-gir %api
%define develname	%mklibname unique -d

Summary: 	Library for creating single instance applications
Name: 		libunique
Version: 	1.1.6
Release:	%mkrel 9
URL: 		https://wiki.gnome.org/LibUnique
License: 	LGPLv2+
Group: 		System/Libraries
Source0: 	https://download.gnome.org/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		unique-1.0.6-fix-str-fmt.patch
Patch1:		fix-disable-deprecated.patch
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(glib-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.11.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc

%description
Unique is a library for creating single instance applications.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for creating single instance applications
Obsoletes:	%{_lib}unique0 < 1.1.6-6

%description -n %{libname}
Unique is a library for creating single instance applications.

%package -n	%{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface description for libunique

%description -n %{girname}
GObject Introspection interface description for libunique.

%package -n %{develname}
Group:		Development/C
Summary:	Header files for development with %name
Provides:	unique-devel = %{version}
Requires:	%{libname} = %{version}
Conflicts: gir-repository < 0.6.5-3

%description -n %{develname}
Unique is a library for creating single instance applications.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%configure2_5x --enable-gtk-doc --disable-static --enable-introspection=yes --enable-maintainer-flags=no
%make

%install
rm -rf %{buildroot}

%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%{_libdir}/libunique-%api.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Unique-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/unique
%defattr(-,root,root)
%{_libdir}/libunique-%api.so
%{_libdir}/pkgconfig/unique-%api.pc
%{_datadir}/gir-1.0/Unique-%api.gir
%{_includedir}/unique-%api


%changelog
* Sat Nov 09 2013 ovitters <ovitters> 1.1.6-9.mga4
+ Revision: 550184
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 1.1.6-8.mga4
+ Revision: 507404
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-7.mga3
+ Revision: 358292
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 28 2011 fwang <fwang> 1.1.6-6.mga2
+ Revision: 135929
- do not disable deprecated symbols
- fix file list
- correct libname

* Fri Jun 10 2011 dmorgan <dmorgan> 1.1.6-5.mga2
+ Revision: 103216
- Remove la files
  Sync configure with fedora

* Sat Jan 15 2011 blino <blino> 1.1.6-4.mga1
+ Revision: 19018
- remove old ldconfig scriptlets
- imported package libunique


* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 1.1.6-3mdv2011.0
+ Revision: 577678
- rebuild for new g-i

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 1.1.6-2mdv2011.0
+ Revision: 563406
- rebuild for new gobject-introspection

  + Götz Waschk <waschk@mandriva.org>
    - add conflict with older gir-repository (bug #55583)

* Thu Nov 12 2009 Götz Waschk <waschk@mandriva.org> 1.1.6-1mdv2010.1
+ Revision: 465324
- update to new version 1.1.6

* Thu Nov 12 2009 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2010.1
+ Revision: 465206
- update build deps
- new version
- add gobject introspection support

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2010.0
+ Revision: 420755
- update to new version 1.1.2

* Sun Mar 22 2009 Götz Waschk <waschk@mandriva.org> 1.0.8-1mdv2009.1
+ Revision: 360241
- new version
- fix source URL
- spec file fixes
- rename from unique

* Mon Feb 02 2009 Funda Wang <fwang@mandriva.org> 1.0.6-1mdv2009.1
+ Revision: 336473
- New version 1.0.6

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 1.0.4-1mdv2009.1
+ Revision: 306202
- new version
- drop patch

* Sat Sep 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 281896
- buildrequires gtk-doc, it seems
- %%{buildroot} not $RPM_BUILD_ROOT
- need to do autoreconf after patching configure.ac
- add underlink.patch (fixes an underlinking problem)
- new release 1.0.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 81367
- add glib and gtk+ buildrequires
- Import unique

